# ACEXML_SAXParseException Class Reference

ACEXML_SAXParseException. More...

`#include <ACEXML/common/SAXExceptions.h>`

Inheritance diagram for ACEXML_SAXParseException:

[legend]
Collaboration diagram for ACEXML_SAXParseException:

[legend]
List of all members.

## Public Member Functions

| ACEXML_SAXParseException (void)
| Default constructor.
| ACEXML_SAXParseException (const ACEXML_Char *msg)
| Constructor with an initializing exception message.
| ACEXML_SAXParseException (const ACEXML_SAXParseException &ex)
| Copy constructor.
ACEXML_SAXParseException & | operator= (const ACEXML_SAXParseException &ex)
| Assignment operator.
virtual | ~ACEXML_SAXParseException (void)
| Destructor.
virtual void | _raise (void)
| Throw the exception.
virtual const ACEXML_Char * | id (void) const
| Return the name of the exception.
virtual ACEXML_Exception * | duplicate (void) const
| Dynamically create a copy of this exception.
virtual int | is_a (const ACEXML_Char *name)
| Check whether this is an exception of type specified by <name>.
virtual void | print (void)
| Print out exception using ACE_DEBUG.

## Static Public Member Functions

ACEXML_SAXParseException * | _downcast (ACEXML_Exception *ex)
| Static narrow operation.

## Static Protected Attributes

const ACEXML_Char * | exception_name_ = ACE_TEXT ("ACEXML_SAXParseException")

## Detailed Description

ACEXML_SAXParseException.

## Constructor & Destructor Documentation

ACEXML_SAXParseException::ACEXML_SAXParseException | ( | void |  | ) |

| Default constructor.

ACEXML_SAXParseException::ACEXML_SAXParseException | ( | const ACEXML_Char * | msg | ) |

| Constructor with an initializing exception message.

ACEXML_SAXParseException::ACEXML_SAXParseException | ( | const ACEXML_SAXParseException & | ex | ) |

| Copy constructor.

ACEXML_SAXParseException::~ACEXML_SAXParseException | ( | void |  | ) | `[virtual]`

| Destructor.

## Member Function Documentation

ACEXML_SAXParseException * ACEXML_SAXParseException::_downcast | ( | ACEXML_Exception * | ex | ) | `[static]`

| Static narrow operation. Reimplemented from ACEXML_SAXException.

ACEXML_INLINE void ACEXML_SAXParseException::_raise | ( | void |  | ) | `[virtual]`

| Throw the exception. Reimplemented from ACEXML_SAXException.

ACEXML_Exception * ACEXML_SAXParseException::duplicate | ( | void |  | ) | const`[virtual]`

| Dynamically create a copy of this exception. Reimplemented from ACEXML_SAXException.

ACEXML_INLINE const ACEXML_Char * ACEXML_SAXParseException::id | ( | void |  | ) | const`[virtual]`

| Return the name of the exception. Reimplemented from ACEXML_SAXException.

int ACEXML_SAXParseException::is_a | ( | const ACEXML_Char * | name | ) | `[virtual]`

| Check whether this is an exception of type specified by <name>. Reimplemented from ACEXML_SAXException.

ACEXML_SAXParseException & ACEXML_SAXParseException::operator= | ( | const ACEXML_SAXParseException & | ex | ) |

| Assignment operator.

void ACEXML_SAXParseException::print | ( | void |  | ) | `[virtual]`

| Print out exception using ACE_DEBUG. Reimplemented from ACEXML_SAXException.

## Member Data Documentation

const ACEXML_Char * ACEXML_SAXParseException::exception_name_ = ACE_TEXT ("ACEXML_SAXParseException")`[static, protected]`

| All exceptions have names. This name is used to identify the type of an exception. Reimplemented from ACEXML_SAXException.

The documentation for this class was generated from the following files:

- SAXExceptions.h
- SAXExceptions.cpp
- SAXExceptions.i